Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

# Class GroupHeader73

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_07.GroupHeader73

public class GroupHeader73 extends Object

Java class for GroupHeader73 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GroupHeader73">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MsgId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max35Text"/>
             <element name="CreDtTm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ISODateTime"/>
             <element name="MsgRcpt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}PartyIdentification125" minOccurs="0"/>
             <element name="MsgPgntn" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Pagination1" minOccurs="0"/>
             <element name="OrgnlBizQry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}OriginalBusinessQuery1" minOccurs="0"/>
             <element name="AddtlInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max500Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`addtlInf`
`protected XMLGregorianCalendar`
`creDtTm`
`protected String`
`msgId`
`protected Pagination1`
`msgPgntn`
`protected PartyIdentification125`
`msgRcpt`
`protected OriginalBusinessQuery1`
`orgnlBizQry`

## Constructor Summary

Constructors
Constructor
Description
`GroupHeader73()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAddtlInf()`
Gets the value of the addtlInf property.
`XMLGregorianCalendar`
`getCreDtTm()`
Gets the value of the creDtTm property.
`String`
`getMsgId()`
Gets the value of the msgId property.
`Pagination1`
`getMsgPgntn()`
Gets the value of the msgPgntn property.
`PartyIdentification125`
`getMsgRcpt()`
Gets the value of the msgRcpt property.
`OriginalBusinessQuery1`
`getOrgnlBizQry()`
Gets the value of the orgnlBizQry property.
`void`
`setAddtlInf(String value)`
Sets the value of the addtlInf property.
`void`
`setCreDtTm(XMLGregorianCalendar value)`
Sets the value of the creDtTm property.
`void`
`setMsgId(String value)`
Sets the value of the msgId property.
`void`
`setMsgPgntn(Pagination1 value)`
Sets the value of the msgPgntn property.
`void`
`setMsgRcpt(PartyIdentification125 value)`
Sets the value of the msgRcpt property.
`void`
`setOrgnlBizQry(OriginalBusinessQuery1 value)`
Sets the value of the orgnlBizQry property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### msgId

protected String msgId

### creDtTm

protected XMLGregorianCalendar creDtTm

### msgRcpt

protected PartyIdentification125 msgRcpt

### msgPgntn

protected Pagination1 msgPgntn

### orgnlBizQry

protected OriginalBusinessQuery1 orgnlBizQry

### addtlInf

protected String addtlInf

## Constructor Details

### GroupHeader73

public GroupHeader73()

## Method Details

### getMsgId

public String getMsgId()
Gets the value of the msgId property.

Returns:
  possible object is `String`

### setMsgId

public void setMsgId(String value)
Sets the value of the msgId property.

Parameters:
  `value` - allowed object is `String`

### getCreDtTm

public XMLGregorianCalendar getCreDtTm()
Gets the value of the creDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

### setCreDtTm

public void setCreDtTm(XMLGregorianCalendar value)
Sets the value of the creDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getMsgRcpt

public PartyIdentification125 getMsgRcpt()
Gets the value of the msgRcpt property.

Returns:
  possible object is `PartyIdentification125`

### setMsgRcpt

public void setMsgRcpt(PartyIdentification125 value)
Sets the value of the msgRcpt property.

Parameters:
  `value` - allowed object is `PartyIdentification125`

### getMsgPgntn

public Pagination1 getMsgPgntn()
Gets the value of the msgPgntn property.

Returns:
  possible object is `Pagination1`

### setMsgPgntn

public void setMsgPgntn(Pagination1 value)
Sets the value of the msgPgntn property.

Parameters:
  `value` - allowed object is `Pagination1`

### getOrgnlBizQry

public OriginalBusinessQuery1 getOrgnlBizQry()
Gets the value of the orgnlBizQry property.

Returns:
  possible object is `OriginalBusinessQuery1`

### setOrgnlBizQry

public void setOrgnlBizQry(OriginalBusinessQuery1 value)
Sets the value of the orgnlBizQry property.

Parameters:
  `value` - allowed object is `OriginalBusinessQuery1`

### getAddtlInf

public String getAddtlInf()
Gets the value of the addtlInf property.

Returns:
  possible object is `String`

### setAddtlInf

public void setAddtlInf(String value)
Sets the value of the addtlInf property.

Parameters:
  `value` - allowed object is `String`